REM Startup script for ONE Automation Java User Interface (UC4 GUI)
set UC4_ENV=%1
set UC4_VER=%2
FOR /F "usebackq tokens=* delims=" %%f IN (`"echo %CD%"`) DO SET BAT_DIR=%%~sf
set PROG_DIR=%BAT_DIR%\v%UC4_VER%\bin
set UC4_CONFIG_DIR=%USERPROFILE%\AppData\Roaming\UC4\%UC4_ENV%\v%UC4_VER%
set JAVA_DIR=%BAT_DIR%\jre1.8.0_92
rem ** Copy uc4config.xml file
IF EXIST %UC4_CONFIG_DIR%\uc4config-%UC4_ENV%.xml (
	echo "Using UC4 UI config file %UC4_CONFIG_DIR%\uc4config-%UC4_ENV%.xml."
	) ELSE (
	echo "Copying default UC4 UI config file for %UC4_ENV% (uc4config-%UC4_ENV%.xml) to %UC4_CONFIG_DIR%."
	robocopy %BAT_DIR%\config %UC4_CONFIG_DIR% uc4config-%UC4_ENV%.xml
	)

rem ** Copy login_dat.xml file
IF EXIST %UC4_CONFIG_DIR%\login_dat-%UC4_ENV%.xml (
	echo "Using UC4 login data file %UC4_CONFIG_DIR%\login_dat-%UC4_ENV%.xml."
	) ELSE (
	echo "Copying default UC4 UI login data file for %UC4_ENV% (login_dat-%UC4_ENV%.xml) to %UC4_CONFIG_DIR%."
	robocopy %BAT_DIR%\config %UC4_CONFIG_DIR% login_dat-%UC4_ENV%.xml
	)

rem ** Copy stub help file
IF EXIST %UC4_CONFIG_DIR%\docu (
	echo "Using UC4 documentation stub html file under %UC4_CONFIG_DIR%\docu."
	) ELSE (
	echo "Copying default UC4 documentation stub html file for UC4 v%UC4_VER% to %UC4_CONFIG_DIR%."
	robocopy %BAT_DIR%\v%UC4_VER%\docu %UC4_CONFIG_DIR%\docu /E
	)
set JAVA_OPTIONS=
set KRB5_DEBUG=-Dsun.security.krb5.debug=true
set JAVA_TOOL_OPTIONS=-Xmx1024m -XX:+UseG1GC -XX:MinHeapFreeRatio=40 -XX:MaxHeapFreeRatio=70 -XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath=%UC4_CONFIG_DIR% -Dsun.locale.formatasdefault=true %KRB5_DEBUG% -Duser.dir=%UC4_CONFIG_DIR%
set UCDJ_OPTIONS=-U%USERNAME% -I%UC4_CONFIG_DIR%\uc4config-%UC4_ENV%.xml -O%UC4_CONFIG_DIR%\login_dat-%UC4_ENV%.xml
set CLASSPATH=%PROG_DIR%;%PROG_DIR%\ucdj-%UC4_ENV%.jar
cd %UC4_CONFIG_DIR%
for /f %%x in ('wmic path win32_localtime get /format:list ^| findstr "="') do set %%x
REM pad 1-digit parts of date with a leading zero.
set "Month=0%Month%"
set "Month=%Month:~-2%"
set "Day=0%Day%"
set "Day=%Day:~-2%"
set "Hour=0%Hour%"
set "Hour=%Hour:~-2%"
set "Minute=0%Minute%"
set "Minute=%Minute:~-2%"
set "Second=0%Second%"
set "Second=%Second:~-2%"
set datetime=%Year%.%Month%.%Day%_%Hour%.%Minute%.%Second%
echo %datetime%
%JAVA_DIR%\bin\javaw.exe -cp %CLASSPATH% com/uc4/ucdf/UCDialogFactory %UCDJ_OPTIONS% > %UC4_CONFIG_DIR%\UCDJ_%UC4_ENV%_%datetime%_stdout.txt 2>&1